'''
Tests for lib.py
'''

import lib

def test_docreference():
    '''
    Test creation of a TestReference object
    '''
    
    tref = lib.DocReference([1, 2, 3, 4])

    assert tref.lvl() == 4
    assert str(tref) == "1.2.3.4"

def test_nextreference():
    '''
    Test creation of the subsequent TestReference object
    '''

    tref = lib.DocReference([1, 2])
    next_tref = tref.next_ref()

    assert next_tref.lvl() == 2
    assert str(next_tref) == "1.3"

    assert tref.lvl() == 2
    assert str(tref) == "1.2"

def test_nextreference_lvl3():
    '''
    Test creation of the subsequent TestReference object
    '''

    tref = lib.DocReference([6, 3, 1])
    next_tref = tref.next_ref()

    assert next_tref.lvl() == 3
    assert str(next_tref) == "6.3.2"

def test_subreference():
    '''
    Test creation of the inner TestReference object
    '''

    tref = lib.DocReference([1, 2])
    next_tref = tref.sub_ref()

    assert next_tref.lvl() == 3
    assert str(next_tref) == "1.2.1"

    assert tref.lvl() == 2
    assert str(tref) == "1.2"    
